#include <stdio.h>

#include "hw.h"
#include "f020.h"
#include "bootld.h"
#include "serial.h"
//#include "print.h"
#include "analog.h"

#if defined __SDCC || defined SDCC
#define pf printf_fast_f
#elif defined __C51
#define pf printf
#else
#define pf printf
#endif

void
main(void)
{
  silabs_init(CLK_22M);
  serial_init(9600);
  br_init(BR_19K);
  
  analog_init(2);
  for (;;)
    {
      int i;
      unsigned char ch;
      reload_code();
      for (ch= 0; ch<=9; ch++)
	{
	  analog_select(ch);
	  i= analog_p();
	  printf("%d ", i);
	}
      pf("%f C ", temperature());
      printf("\n\r");
    }
}
