#include "hw.h"
#include "timer.h"
#include "t0.h"

volatile unsigned int tr;

void t0_isr(void) __interrupt (1)
{
  T0set(tr);
}

void
main(void)
{
  volatile unsigned int i, j= 0;
  __xdata char *p= (__xdata char *)0;

  tr= T_kezdoertek(10);
  T0idozito1(0);
  T0beallit(tr);
  T0start();
  ET0= 1;
  EA= 1;
  
  for (i= 1; i; i++)
    {
      char c= p[i];
      unsigned int t= TL0 + (TH0*256);
      p[i]= t&0xff;
      if (p[i] != t&0xff)
	j++;
      p[i]= c;
    }
  * (char __idata *) 0 = * (char __xdata *) 0x7654;
}
